-------------------------------
--擦除其他软件使用痕迹
--
-------------------------------

tInitDef = {}

tInitDef[1] = {}
tInitDef[1]["gbT"]="擦除其他软件使用痕迹 (请双击该项设置擦除项)"
tInitDef[1]["big5T"]="揽埃ㄤ硁ンㄏノ勃格 (叫蛮阑赣兜砞竚揽埃兜)"
tInitDef[1]["enT"]="Other Software (DoubleClick it to set erasing items)"
tInitDef[1]["Key"]=230000
tInitDef[1]["iNoMenu"]=1
tInitDef[1]["fInstalled"]="LuaInstalled"
tInitDef[1]["fEraseOpt"]="LuaCleaner"
tInitDef[1]["tEraseTable"]="tEraseTable"
tInitDef[1]["iRoot"]=13
tInitDef[1]["iSecond"]=0
tInitDef[1]["iThird"]=0
tInitDef[1]["OptionSet"] = "LuaOptionSet2"

HKEY_CLASSES_ROOT = 0x80000000
HKEY_CURRENT_USER = 0x80000001
HKEY_LOCAL_MACHINE = 0x80000002
HKEY_USERS = 0x80000003

  require "wyzl"

--AddActionItem包含了AddRegItem的功能

--WYZL.AddActionItem(LPCTSTR strDoverb,LPCTSTR strPath,LPCTSTR strAction,LPCTSTR strPara)
--                           动作              路径            子动作(关键字)    动作参数

--File动词有: 
--           (空关键字) SubFolder FilesFolders UpdateFile

--           Ex不保留空目录
--           MacthSubFiles  MacthSubFilesEx         //匹配文件 

--           MacthFiles     MacthFilesEx            //匹配文件不递归子目录  有序
--           MacthFilesB    MacthFilesBEx           //匹配文件不递归子目录  无序
--           MacthFilesC    MacthFilesCEx           //匹配文件不递归子目录  包含文件夹即匹配子文件夾

--           参数格式       指定子目1|指定子目2|..,文件1|文件2|..,相对目录1|相对目录2...

--           MacthSubFolder MacthSubFolderEx        //匹配子文件夾 
--           MacthSubPath   MacthSubPathEx          //匹配子路径 有序 
--           MacthSubPathB  MacthSubPathBEx         //匹配子路径 无序 

--           参数格式       指定子目1|指定子目2|..,目录1|目录2|..,文件1|文件2...

--           ExcludeSubFiles  ExcludeSubFilesEx     //排除指定文件项 
--           ExcludeSubFolder ExcludeSubFolderEx    //排除指定文件夹项 
--           ExcludeSubPath   ExcludeSubPathEx      //排除子路径 有序
--           ExcludeSubPathB  ExcludeSubPathBEx     //排除子路径 无序

--           参数格式       指定子目1|指定子目2|..,目录1|目录2|..,文件1|文件2...

--WYZL.AddRegItem(LPCTSTR strDoverb,LPCTSTR strPath,LPCTSTR strPara)
--                           动作              路径         动作参数

--Reg动词有: 
--           DelRegKey(有序路径) DelRegKeyB(无序路径,仅包含目录) 无参数删除主路径 不检查all参数
--           参数格式 主路径,相对子路径1,相对子路径2
--           相对子路径若以\开头(lua语法是\\)则不做模糊匹配检查

--           DelRegKeyList(有序路径) DelRegKeyListB(无序路径,仅包含目录) 无参数删除所有子键 检查all参数
--           参数格式 主路径,相对子路径1,相对子路径2 
--           如果相对子路径1为all,则不再继续后续检查，直接清理路径下的所有子键

--           DelRegKeyListEx(有序路径) DelRegKeyListBEx(无序路径,仅包含目录) 
--           第一个参数为子关键字，关键字为空或为未定义的关键字期功能同DelRegKeyList 
--           目前定义的有：DelSubKey(n) 表示直接删除相对当前路径下的第n级路径

--           DelRegValueList(不检查相对路径,不带相对路径参数) 
--           DelRegValueList不检查相对子路径，不管路径是否有通配符都直接跟主路径连接组成完整路径
--           参数格式 主路径,参数值1,参数值2,...\\r\\n参数值1,参数值2,...

--           DelRegValueListEx(有序路径) DelRegValueListBEx(无序路径) 检查all参数
--           参数格式 主路径,相对子路径1,参数值1,参数值2,...\\r\\n相对子路径2,参数值1,参数值2,...
--           相对子路径若以\开头(lua语法是\\)则不做模糊匹配检查
--           参数值1为all,则不再继续后续检查，直接清理路径下的所有键值
--           DelRegValueListEx DelRegValueListBEx 将枚举主路径下的子路径并与该相对子路径匹配检查
--           DelRegValueListEx要求子路径完全按该相对子路径顺序匹配 
--           DelRegValueListBEx则只要求子路径包含该相对路径的所有节

--           DelRegValue(不检查路径,不带相对路径参数)
--           功能类似DelRegValueList,但不检查all参数   
  
--           DelRegValueEx(有序路径)     DelRegValueBEx(无序路径)  
--           功能类似DelRegValueListEx,DelRegValueListBEx 但不检查all参数

function LuaInstalled()
	local bInstalled = 1

	return bInstalled
end;

function SetItemCheck2(myForm,Tag,Checked,strCfgFile)
	if(Tag == 2001) then
		if(Checked) then
		
			strCaption ="全选"
			if(WYZL.GetLanguage() == 2) then
		  	strCaption = "匡"
		  elseif(WYZL.GetLanguage() == 3) then
		  	strCaption = "SelectAll"
		  end
  
			myForm.SelectAll.caption = strCaption
			
			myForm.WinImage.Checked = true;
			myForm.MemoryDumps.Checked = true;
			myForm.Emule.Checked = true;
			myForm.FlashFXP.Checked = true;
			myForm.DivXPlayer.Checked = true;
			myForm.CuteFTP.Checked = true;
			myForm.NotePadPlus.Checked = true;
			myForm.Passolo.Checked = true;
			myForm.TTPlayer.Checked = true;
			myForm.Totalcmd.Checked = true;
			myForm.MultimediaBuilder.Checked = true;
			myForm.RegSnap.Checked = true;
			myForm.UsbClear.Checked = true;
			myForm.Xplorer2.Checked = true;
			
			-- 第二列
				myForm.PowerDVD.Checked = true;
			myForm.TMPGEncPlus.Checked = true;
			myForm.MagicISOMaker.Checked = true;
			myForm.MacromediaMX.Checked = true;
			myForm.MainConceptMPEG.Checked = true;
			myForm.VisualCPlus.Checked = true;
			myForm.X3GPVideo.Checked = true;
			myForm.AgnitumOutpost.Checked = true;
			myForm.AppCompatCache.Checked = true;
			myForm.Audition.Checked = true;
			myForm.PEExplorer.Checked = true;
			myForm.Spybot.Checked = true;
			myForm.uTorrent.Checked = true;
			myForm.ZoomPlayer.Checked = true;
			
			-- 第三列
			myForm.ThreatFire.Checked = true;
			myForm.AutoPlay.Checked = true;
			myForm.Avlgomgr.Checked = true;
			myForm.BSplayer.Checked = true;
			myForm.ComodoFirewall.Checked = true;
			myForm.DrWatson.Checked = true;
			myForm.DrWeb.Checked = true;
			myForm.EmEditor.Checked = true;
			myForm.FoxitReader.Checked = true;
			myForm.GoldWave.Checked = true;
			myForm.RazorLame.Checked = true;
			myForm.SystemSafetyMonitor.Checked = true;
			myForm.SystemTempClear.Checked = true;
			myForm.LookNStop.Checked = true;
			
			-- 第四列
			myForm.Netmeeting.Checked = true;
			myForm.GoogleToolbar.Checked = true;
			myForm.GPass.Checked = true;
			myForm.GraphEdit.Checked = true;
			myForm.HIPS.Checked = true;
			myForm.ImgBurn.Checked = true;
			myForm.IrfanView.Checked = true;
			myForm.JavaCache.Checked = true;
			myForm.Locate32.Checked = true;
			myForm.WinAVI.Checked = true;
			myForm.reader_564.Checked = true;
			myForm.UleadVideoStudio.Checked = true;
			myForm.VirtualDriveManager.Checked = true;			
		else 
		
			strCaption ="全不选"
			if(WYZL.GetLanguage() == 2) then
		  	strCaption = "ぃ匡"
		  elseif(WYZL.GetLanguage() == 3) then
		  	strCaption = "UnSelectAll"
		  end
		  
			myForm.SelectAll.caption = strCaption
			
			myForm.WinImage.Checked = false;
			myForm.MemoryDumps.Checked = false;
			myForm.Emule.Checked = false;
			myForm.FlashFXP.Checked = false;
			myForm.DivXPlayer.Checked = false;
			myForm.CuteFTP.Checked = false;
			myForm.NotePadPlus.Checked = false;
			myForm.Passolo.Checked = false;
			myForm.TTPlayer.Checked = false;
			myForm.Totalcmd.Checked = false;
			myForm.MultimediaBuilder.Checked = false;
			myForm.RegSnap.Checked = false;
			myForm.UsbClear.Checked = false;
			myForm.Xplorer2.Checked = false;
			
			-- 第二列
				myForm.PowerDVD.Checked = false;
			myForm.TMPGEncPlus.Checked = false;
			myForm.MagicISOMaker.Checked = false;
			myForm.MacromediaMX.Checked = false;
			myForm.MainConceptMPEG.Checked = false;
			myForm.VisualCPlus.Checked = false;
			myForm.X3GPVideo.Checked = false;
			myForm.AgnitumOutpost.Checked = false;
			myForm.AppCompatCache.Checked = false;
			myForm.Audition.Checked = false;
			myForm.PEExplorer.Checked = false;
			myForm.Spybot.Checked = false;
			myForm.uTorrent.Checked = false;
			myForm.ZoomPlayer.Checked = false;
			
			-- 第三列
			myForm.ThreatFire.Checked = false;
			myForm.AutoPlay.Checked = false;
			myForm.Avlgomgr.Checked = false;
			myForm.BSplayer.Checked = false;
			myForm.ComodoFirewall.Checked = false;
			myForm.DrWatson.Checked = false;
			myForm.DrWeb.Checked = false;
			myForm.EmEditor.Checked = false;
			myForm.FoxitReader.Checked = false;
			myForm.GoldWave.Checked = false;
			myForm.RazorLame.Checked = false;
			myForm.SystemSafetyMonitor.Checked = false;
			myForm.SystemTempClear.Checked = false;
			myForm.LookNStop.Checked = false;
			
			-- 第四列
			myForm.Netmeeting.Checked = false;
			myForm.GoogleToolbar.Checked = false;
			myForm.GPass.Checked = false;
			myForm.GraphEdit.Checked = false;
			myForm.HIPS.Checked = false;
			myForm.ImgBurn.Checked = false;
			myForm.IrfanView.Checked = false;
			myForm.JavaCache.Checked = false;
			myForm.Locate32.Checked = false;
			myForm.WinAVI.Checked = false;
			myForm.reader_564.Checked = false;
			myForm.UleadVideoStudio.Checked = false;
			myForm.VirtualDriveManager.Checked = false;		
		end
	end
end

function SetItemCheck(Tag,Checked,strCfgFile)
	if(Tag == 1) then
	  --VCL.ShowMessage(Tag);
	  if(Checked) then
			WYZL.SetIniStr("Settings","WinImage","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","WinImage","0",strCfgFile);
		end		
	elseif(Tag == 2) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","MemoryDumps","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","MemoryDumps","0",strCfgFile);
		end
	elseif(Tag == 3) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Emule","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Emule","0",strCfgFile);
		end
	elseif(Tag == 4) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","FlashFXP","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","FlashFXP","0",strCfgFile);
		end
	elseif(Tag == 5) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","DivXPlayer","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","DivXPlayer","0",strCfgFile);
		end
	elseif(Tag == 6) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","CuteFTP","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","CuteFTP","0",strCfgFile);
		end
	elseif(Tag == 7) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","NotePadPlus","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","NotePadPlus","0",strCfgFile);
		end
	elseif(Tag == 8) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Passolo","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Passolo","0",strCfgFile);
		end
	elseif(Tag == 9) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","TTPlayer","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","TTPlayer","0",strCfgFile);
		end
	elseif(Tag == 10) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Totalcmd","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Totalcmd","0",strCfgFile);
		end
	elseif(Tag == 11) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","MultimediaBuilder","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","MultimediaBuilder","0",strCfgFile);
		end
	elseif(Tag == 12) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","RegSnap","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","RegSnap","0",strCfgFile);
		end
	elseif(Tag == 13) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","UsbClear","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","UsbClear","0",strCfgFile);
		end
	elseif(Tag == 14) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Xplorer2","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Xplorer2","0",strCfgFile);
		end
		
	-- 第二列
	elseif(Tag == 100) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","PowerDVD","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","PowerDVD","0",strCfgFile);
		end
	elseif(Tag == 101) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","TMPGEncPlus","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","TMPGEncPlus","0",strCfgFile);
		end
	elseif(Tag == 102) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","MagicISOMaker","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","MagicISOMaker","0",strCfgFile);
		end
	elseif(Tag == 103) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","MacromediaMX","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","MacromediaMX","0",strCfgFile);
		end
	elseif(Tag == 104) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","MainConceptMPEG","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","MainConceptMPEG","0",strCfgFile);
		end
	elseif(Tag == 105) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","VisualCPlus","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","VisualCPlus","0",strCfgFile);
		end
	elseif(Tag == 106) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","X3GPVideo","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","X3GPVideo","0",strCfgFile);
		end
	elseif(Tag == 107) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","AgnitumOutpost","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","AgnitumOutpost","0",strCfgFile);
		end
	elseif(Tag == 108) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","AppCompatCache","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","AppCompatCache","0",strCfgFile);
		end
	elseif(Tag == 109) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Audition","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Audition","0",strCfgFile);
		end
	elseif(Tag == 110) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","PEExplorer","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","PEExplorer","0",strCfgFile);
		end
	elseif(Tag == 111) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Spybot","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Spybot","0",strCfgFile);
		end
	elseif(Tag == 112) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","uTorrent","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","uTorrent","0",strCfgFile);
		end
	elseif(Tag == 113) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","ZoomPlayer","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","ZoomPlayer","0",strCfgFile);
		end
		
	-- 第三列
	elseif(Tag == 200) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","ThreatFire","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","ThreatFire","0",strCfgFile);
		end
	elseif(Tag == 201) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","AutoPlay","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","AutoPlay","0",strCfgFile);
		end
	elseif(Tag == 202) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Avlgomgr","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Avlgomgr","0",strCfgFile);
		end
	elseif(Tag == 203) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","BSplayer","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","BSplayer","0",strCfgFile);
		end
	elseif(Tag == 204) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","ComodoFirewall","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","ComodoFirewall","0",strCfgFile);
		end
	elseif(Tag == 205) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","DrWatson","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","DrWatson","0",strCfgFile);
		end
	elseif(Tag == 206) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","DrWeb","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","DrWeb","0",strCfgFile);
		end
	elseif(Tag == 207) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","EmEditor","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","EmEditor","0",strCfgFile);
		end
	elseif(Tag == 208) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","FoxitReader","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","FoxitReader","0",strCfgFile);
		end
	elseif(Tag == 209) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","GoldWave","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","GoldWave","0",strCfgFile);
		end
	elseif(Tag == 210) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","RazorLame","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","RazorLame","0",strCfgFile);
		end
	elseif(Tag == 211) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","SystemSafetyMonitor","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","SystemSafetyMonitor","0",strCfgFile);
		end
	elseif(Tag == 212) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","SystemTempClear","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","SystemTempClear","0",strCfgFile);
		end
	elseif(Tag == 213) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","LookNStop","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","LookNStop","0",strCfgFile);
		end
		
	-- 第四列
	elseif(Tag == 300) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Netmeeting","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Netmeeting","0",strCfgFile);
		end
	elseif(Tag == 301) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","GoogleToolbar","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","GoogleToolbar","0",strCfgFile);
		end
	elseif(Tag == 302) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","GPass","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","GPass","0",strCfgFile);
		end
	elseif(Tag == 303) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","GraphEdit","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","GraphEdit","0",strCfgFile);
		end
	elseif(Tag == 304) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","HIPS","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","HIPS","0",strCfgFile);
		end
	elseif(Tag == 305) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","ImgBurn","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","ImgBurn","0",strCfgFile);
		end
	elseif(Tag == 306) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","IrfanView","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","IrfanView","0",strCfgFile);
		end
	elseif(Tag == 307) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","JavaCache","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","JavaCache","0",strCfgFile);
		end
	elseif(Tag == 308) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","Locate32","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","Locate32","0",strCfgFile);
		end
	elseif(Tag == 309) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","WinAVI","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","WinAVI","0",strCfgFile);
		end
	elseif(Tag == 310) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","reader_564","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","reader_564","0",strCfgFile);
		end
	elseif(Tag == 311) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","UleadVideoStudio","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","UleadVideoStudio","0",strCfgFile);
		end
	elseif(Tag == 312) then
	  if(Checked) then
			WYZL.SetIniStr("Settings","VirtualDriveManager","1",strCfgFile);
		else
			WYZL.SetIniStr("Settings","VirtualDriveManager","0",strCfgFile);
		end
		
	end
end

function LuaOptionSet2()
	require "vcl"
	
	--local filename = VCL.OpenDlg("", "请选择QQ程序路径",medialib, "Exe files|*.exe", {"ofFileMustExist"} )
	
	strCaption = "";
	strAppDir = WYZL.GetAppDir();
	strPlugDir = strAppDir .. "DefPlugins\\";
	strCfgFile = strPlugDir .. "OtherTools.cfg";
	
	--VCL.ShowMessage(filename);

	strCaption ="擦除其他软件产生的痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "揽埃ㄤ硁ン玻ネ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "Other Software"
  end
	
	local myForm = VCL.Form("myForm")
	myForm._ = { caption = strCaption, width=580, height=380, position="poDesktopCenter"}
			 
	myForm.myPanel = VCL.Panel(myForm,"myPanel")
	myForm.myPanel._ = {caption = "", align="alLeft", top= 0, left= 0, width = 570, height = 200,}

	strCaption ="请勾选要清理的相关软件"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "叫つ匡璶睲瞶闽硁ン"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "Please check the relevant software to clean up"
  end
	
	myForm.myLabel = VCL.Label(myForm.myPanel,"MyLabel")
	myForm.myLabel._ = { caption = strCaption, top=5, left=10, width=200,height = 20, }		

	strCaption ="全选"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "匡"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "SelectAll"
  end
		 
	myForm.SelectAll = VCL.CheckBox(myForm.myPanel,"SelectAll")
	myForm.SelectAll._ = {caption = strCaption,onclick = "onCheckBoxClick2", top=5, left=210, }
	myForm.SelectAll.Tag = 2001
		 
	myForm.WinImage = VCL.CheckBox(myForm.myPanel,"WinImage")
	myForm.WinImage._ = {onclick = "onCheckBoxClick", top=25, left=10, }
	myForm.WinImage.Tag = 1
	
	strValue = WYZL.GetIniStr("Settings","WinImage","0",strCfgFile);
	if(strValue == "1") then
		myForm.WinImage.Checked = true;
	else
		myForm.WinImage.Checked = false;
	end 
			 
	myForm.MemoryDumps = VCL.CheckBox(myForm.myPanel,"MemoryDumps")
	myForm.MemoryDumps._ = {caption = "Memory Dumps",onclick = "onCheckBoxClick", top=45, left=10, }
	myForm.MemoryDumps.Tag = 2
	
	strValue = WYZL.GetIniStr("Settings","MemoryDumps","0",strCfgFile);
	if(strValue == "1") then
		myForm.MemoryDumps.Checked = true;
	else
		myForm.MemoryDumps.Checked = false;
	end

	strCaption ="电驴"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "筿苆"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "Emule"
  end
				 
	myForm.Emule = VCL.CheckBox(myForm.myPanel,"Emule")
	myForm.Emule._ = {caption = strCaption,onclick = "onCheckBoxClick", top=65, left=10, }
	myForm.Emule.Tag = 3
	
	strValue = WYZL.GetIniStr("Settings","Emule","0",strCfgFile);
	if(strValue == "1") then
		myForm.Emule.Checked = true;
	else
		myForm.Emule.Checked = false;
	end
			 
	myForm.FlashFXP = VCL.CheckBox(myForm.myPanel,"FlashFXP")
	myForm.FlashFXP._ = {caption = "FlashFXP",onclick = "onCheckBoxClick", top=85, left=10, }
	myForm.FlashFXP.Tag = 4
	
	strValue = WYZL.GetIniStr("Settings","FlashFXP","0",strCfgFile);
	if(strValue == "1") then
		myForm.FlashFXP.Checked = true;
	else
		myForm.FlashFXP.Checked = false;
	end
			 
	myForm.DivXPlayer = VCL.CheckBox(myForm.myPanel,"DivXPlayer")
	myForm.DivXPlayer._ = {caption = "DivXPlayer",onclick = "onCheckBoxClick", top=105, left=10, }
	myForm.DivXPlayer.Tag = 5
	
	strValue = WYZL.GetIniStr("Settings","DivXPlayer","0",strCfgFile);
	if(strValue == "1") then
		myForm.DivXPlayer.Checked = true;
	else
		myForm.DivXPlayer.Checked = false;
	end
			 
	myForm.CuteFTP = VCL.CheckBox(myForm.myPanel,"CuteFTP")
	myForm.CuteFTP._ = {caption = "CuteFTP",onclick = "onCheckBoxClick", top=125, left=10, }
	myForm.CuteFTP.Tag = 6
	
	strValue = WYZL.GetIniStr("Settings","CuteFTP","0",strCfgFile);
	if(strValue == "1") then
		myForm.CuteFTP.Checked = true;
	else
		myForm.CuteFTP.Checked = false;
	end
			 
	myForm.NotePadPlus = VCL.CheckBox(myForm.myPanel,"NotePadPlus")
	myForm.NotePadPlus._ = {caption = "NotePad+",onclick = "onCheckBoxClick", top=145, left=10, }
	myForm.NotePadPlus.Tag = 7
	
	strValue = WYZL.GetIniStr("Settings","NotePadPlus","0",strCfgFile);
	if(strValue == "1") then
		myForm.NotePadPlus.Checked = true;
	else
		myForm.NotePadPlus.Checked = false;
	end
			 
	myForm.Passolo = VCL.CheckBox(myForm.myPanel,"Passolo")
	myForm.Passolo._ = {caption = "Passolo",onclick = "onCheckBoxClick", top=165, left=10, }
	myForm.Passolo.Tag = 8
	
	strValue = WYZL.GetIniStr("Settings","Passolo","0",strCfgFile);
	if(strValue == "1") then
		myForm.Passolo.Checked = true;
	else
		myForm.Passolo.Checked = false;
	end

	strCaption ="千千静听"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "繰钮"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "TTPlayer"
  end
		 
	myForm.TTPlayer = VCL.CheckBox(myForm.myPanel,"TTPlayer")
	myForm.TTPlayer._ = {caption = strCaption,onclick = "onCheckBoxClick", top=185, left=10, }
	myForm.TTPlayer.Tag = 9
	
	strValue = WYZL.GetIniStr("Settings","TTPlayer","0",strCfgFile);
	if(strValue == "1") then
		myForm.TTPlayer.Checked = true;
	else
		myForm.TTPlayer.Checked = false;
	end
			 
	myForm.Totalcmd = VCL.CheckBox(myForm.myPanel,"Totalcmd")
	myForm.Totalcmd._ = {caption = "Totalcmd",onclick = "onCheckBoxClick", top=205, left=10, }
	myForm.Totalcmd.Tag = 10
	
	strValue = WYZL.GetIniStr("Settings","Totalcmd","0",strCfgFile);
	if(strValue == "1") then
		myForm.Totalcmd.Checked = true;
	else
		myForm.Totalcmd.Checked = false;
	end
			 
	myForm.MultimediaBuilder = VCL.CheckBox(myForm.myPanel,"MultimediaBuilder")
	myForm.MultimediaBuilder._ = {caption = "Multimedia Builder",onclick = "onCheckBoxClick", top=225, left=10,width=140, }
	myForm.MultimediaBuilder.Tag = 11
	
	strValue = WYZL.GetIniStr("Settings","MultimediaBuilder","0",strCfgFile);
	if(strValue == "1") then
		myForm.MultimediaBuilder.Checked = true;
	else
		myForm.MultimediaBuilder.Checked = false;
	end
			 
	myForm.RegSnap = VCL.CheckBox(myForm.myPanel,"RegSnap")
	myForm.RegSnap._ = {caption = "RegSnap",onclick = "onCheckBoxClick", top=245, left=10,width=140, }
	myForm.RegSnap.Tag = 12
	
	strValue = WYZL.GetIniStr("Settings","RegSnap","0",strCfgFile);
	if(strValue == "1") then
		myForm.RegSnap.Checked = true;
	else
		myForm.RegSnap.Checked = false;
	end

	strCaption ="Usb使用痕迹"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "Usbㄏノ勃格"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "UsbClear"
  end
			
	myForm.UsbClear = VCL.CheckBox(myForm.myPanel,"UsbClear")
	myForm.UsbClear._ = {caption = strCaption,onclick = "onCheckBoxClick", top=265, left=10,width=140, }
	myForm.UsbClear.Tag = 13
	
	strValue = WYZL.GetIniStr("Settings","UsbClear","1",strCfgFile);
	if(strValue == "1") then
		myForm.UsbClear.Checked = true;
	else
		myForm.UsbClear.Checked = false;
	end

	strCaption ="Xplorer资源管理器"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "Xplorer戈方恨瞶竟"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "Xplorer2"
  end
			
	myForm.Xplorer2 = VCL.CheckBox(myForm.myPanel,"Xplorer2")
	myForm.Xplorer2._ = {caption = strCaption,onclick = "onCheckBoxClick", top=285, left=10,width=140, }
	myForm.Xplorer2.Tag = 14
	
	strValue = WYZL.GetIniStr("Settings","Xplorer2","1",strCfgFile);
	if(strValue == "1") then
		myForm.Xplorer2.Checked = true;
	else
		myForm.Xplorer2.Checked = false;
	end
	
	-- 第二列
	myForm.PowerDVD = VCL.CheckBox(myForm.myPanel,"PowerDVD")
	myForm.PowerDVD._ = {caption = "PowerDVD",onclick = "onCheckBoxClick", top=25, left=150, }
	myForm.PowerDVD.Tag = 100
	
	strValue = WYZL.GetIniStr("Settings","PowerDVD","0",strCfgFile);
	if(strValue == "1") then
		myForm.PowerDVD.Checked = true;
	else
		myForm.PowerDVD.Checked = false;
	end
	
	myForm.TMPGEncPlus = VCL.CheckBox(myForm.myPanel,"TMPGEncPlus")
	myForm.TMPGEncPlus._ = {caption = "TMPGEncPlus",onclick = "onCheckBoxClick", top=45, left=150, }
	myForm.TMPGEncPlus.Tag = 101
	
	strValue = WYZL.GetIniStr("Settings","TMPGEncPlus","0",strCfgFile);
	if(strValue == "1") then
		myForm.TMPGEncPlus.Checked = true;
	else
		myForm.TMPGEncPlus.Checked = false;
	end
	
	myForm.MagicISOMaker = VCL.CheckBox(myForm.myPanel,"MagicISOMaker")
	myForm.MagicISOMaker._ = {caption = "MagicISOMaker",onclick = "onCheckBoxClick", top=65, left=150, }
	myForm.MagicISOMaker.Tag = 102
	
	strValue = WYZL.GetIniStr("Settings","MagicISOMaker","0",strCfgFile);
	if(strValue == "1") then
		myForm.MagicISOMaker.Checked = true;
	else
		myForm.MagicISOMaker.Checked = false;
	end
	
	myForm.MacromediaMX = VCL.CheckBox(myForm.myPanel,"MacromediaMX")
	myForm.MacromediaMX._ = {caption = "MacromediaMX",onclick = "onCheckBoxClick", top=85, left=150, }
	myForm.MacromediaMX.Tag = 103
	
	strValue = WYZL.GetIniStr("Settings","MacromediaMX","0",strCfgFile);
	if(strValue == "1") then
		myForm.MacromediaMX.Checked = true;
	else
		myForm.MacromediaMX.Checked = false;
	end
	
	myForm.MainConceptMPEG = VCL.CheckBox(myForm.myPanel,"MainConceptMPEG")
	myForm.MainConceptMPEG._ = {caption = "MainConceptMPEG",onclick = "onCheckBoxClick", top=105, left=150, width=110, }
	myForm.MainConceptMPEG.Tag = 104
	
	strValue = WYZL.GetIniStr("Settings","MainConceptMPEG","0",strCfgFile);
	if(strValue == "1") then
		myForm.MainConceptMPEG.Checked = true;
	else
		myForm.MainConceptMPEG.Checked = false;
	end
	
	myForm.VisualCPlus = VCL.CheckBox(myForm.myPanel,"VisualCPlus")
	myForm.VisualCPlus._ = {caption = "Visual C++ 6.0",onclick = "onCheckBoxClick", top=125, left=150, width=110, }
	myForm.VisualCPlus.Tag = 105
	
	strValue = WYZL.GetIniStr("Settings","VisualCPlus","0",strCfgFile);
	if(strValue == "1") then
		myForm.VisualCPlus.Checked = true;
	else
		myForm.VisualCPlus.Checked = false;
	end
	
	myForm.X3GPVideo = VCL.CheckBox(myForm.myPanel,"X3GPVideo")
	myForm.X3GPVideo._ = {caption = "3GP Converter",onclick = "onCheckBoxClick", top=145, left=150, width=110, }
	myForm.X3GPVideo.Tag = 106
	
	strValue = WYZL.GetIniStr("Settings","X3GPVideo","0",strCfgFile);
	if(strValue == "1") then
		myForm.X3GPVideo.Checked = true;
	else
		myForm.X3GPVideo.Checked = false;
	end
	
	myForm.AgnitumOutpost = VCL.CheckBox(myForm.myPanel,"AgnitumOutpost")
	myForm.AgnitumOutpost._ = {caption = "Agnitum Outpost",onclick = "onCheckBoxClick", top=165, left=150, width=110, }
	myForm.AgnitumOutpost.Tag = 107
	
	strValue = WYZL.GetIniStr("Settings","AgnitumOutpost","0",strCfgFile);
	if(strValue == "1") then
		myForm.AgnitumOutpost.Checked = true;
	else
		myForm.AgnitumOutpost.Checked = false;
	end

	strCaption ="注册表应用缓存"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "猔莱ノ絯"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "AppCompatCache"
  end
			
	myForm.AppCompatCache = VCL.CheckBox(myForm.myPanel,"AppCompatCache")
	myForm.AppCompatCache._ = {caption = strCaption,onclick = "onCheckBoxClick", top=185, left=150, width=110, }
	myForm.AppCompatCache.Tag = 108
	
	strValue = WYZL.GetIniStr("Settings","AppCompatCache","1",strCfgFile);
	if(strValue == "1") then
		myForm.AppCompatCache.Checked = true;
	else
		myForm.AppCompatCache.Checked = false;
	end
	
	myForm.Audition = VCL.CheckBox(myForm.myPanel,"Audition")
	myForm.Audition._ = {caption = "Audition 2.0",onclick = "onCheckBoxClick", top=205, left=150, width=110, }
	myForm.Audition.Tag = 109
	
	strValue = WYZL.GetIniStr("Settings","Audition","0",strCfgFile);
	if(strValue == "1") then
		myForm.Audition.Checked = true;
	else
		myForm.Audition.Checked = false;
	end
	
	myForm.PEExplorer = VCL.CheckBox(myForm.myPanel,"PEExplorer")
	myForm.PEExplorer._ = {caption = "PE Explorer",onclick = "onCheckBoxClick", top=225, left=150, width=140, }
	myForm.PEExplorer.Tag = 110
	
	strValue = WYZL.GetIniStr("Settings","PEExplorer","0",strCfgFile);
	if(strValue == "1") then
		myForm.PEExplorer.Checked = true;
	else
		myForm.PEExplorer.Checked = false;
	end

	strCaption ="Spybot广告清除工具"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "Spybot約睲埃ㄣ"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "Spybot"
  end

	myForm.Spybot = VCL.CheckBox(myForm.myPanel,"Spybot")
	myForm.Spybot._ = {caption = strCaption,onclick = "onCheckBoxClick", top=245, left=150, width=140, }
	myForm.Spybot.Tag = 111
	
	strValue = WYZL.GetIniStr("Settings","Spybot","0",strCfgFile);
	if(strValue == "1") then
		myForm.Spybot.Checked = true;
	else
		myForm.Spybot.Checked = false;
	end
	
	myForm.uTorrent = VCL.CheckBox(myForm.myPanel,"uTorrent")
	myForm.uTorrent._ = {caption = "uTorrent",onclick = "onCheckBoxClick", top=265, left=150, width=140, }
	myForm.uTorrent.Tag = 112
	
	strValue = WYZL.GetIniStr("Settings","uTorrent","0",strCfgFile);
	if(strValue == "1") then
		myForm.uTorrent.Checked = true;
	else
		myForm.uTorrent.Checked = false;
	end
	
	myForm.ZoomPlayer = VCL.CheckBox(myForm.myPanel,"ZoomPlayer")
	myForm.ZoomPlayer._ = {caption = "Zoom Player",onclick = "onCheckBoxClick", top=285, left=150, width=140, }
	myForm.ZoomPlayer.Tag = 113
	
	strValue = WYZL.GetIniStr("Settings","ZoomPlayer","0",strCfgFile);
	if(strValue == "1") then
		myForm.ZoomPlayer.Checked = true;
	else
		myForm.ZoomPlayer.Checked = false;
	end
	
	-- 第三列
	myForm.ThreatFire = VCL.CheckBox(myForm.myPanel,"ThreatFire")
	myForm.ThreatFire._ = {caption = "ThreatFire",onclick = "onCheckBoxClick", top=25, left=290, }
	myForm.ThreatFire.Tag = 200
	
	strValue = WYZL.GetIniStr("Settings","ThreatFire","0",strCfgFile);
	if(strValue == "1") then
		myForm.ThreatFire.Checked = true;
	else
		myForm.ThreatFire.Checked = false;
	end
	
	myForm.AutoPlay = VCL.CheckBox(myForm.myPanel,"AutoPlay")
	myForm.AutoPlay._ = {caption = "AutoPlay Builder",onclick = "onCheckBoxClick", top=45, left=290, width=110, }
	myForm.AutoPlay.Tag = 201
	
	strValue = WYZL.GetIniStr("Settings","AutoPlay","0",strCfgFile);
	if(strValue == "1") then
		myForm.AutoPlay.Checked = true;
	else
		myForm.AutoPlay.Checked = false;
	end
	
	myForm.Avlgomgr = VCL.CheckBox(myForm.myPanel,"Avlgomgr")
	myForm.Avlgomgr._ = {caption = "Avlgomgr",onclick = "onCheckBoxClick", top=65, left=290, width=110, }
	myForm.Avlgomgr.Tag = 202
	
	strValue = WYZL.GetIniStr("Settings","Avlgomgr","0",strCfgFile);
	if(strValue == "1") then
		myForm.Avlgomgr.Checked = true;
	else
		myForm.Avlgomgr.Checked = false;
	end
	
	myForm.BSplayer = VCL.CheckBox(myForm.myPanel,"BSplayer")
	myForm.BSplayer._ = {caption = "BSplayer Pro",onclick = "onCheckBoxClick", top=85, left=290, width=110, }
	myForm.BSplayer.Tag = 203
	
	strValue = WYZL.GetIniStr("Settings","BSplayer","0",strCfgFile);
	if(strValue == "1") then
		myForm.BSplayer.Checked = true;
	else
		myForm.BSplayer.Checked = false;
	end
	
	myForm.ComodoFirewall = VCL.CheckBox(myForm.myPanel,"ComodoFirewall")
	myForm.ComodoFirewall._ = {caption = "ComodoFirewall",onclick = "onCheckBoxClick", top=105, left=290, width=110, }
	myForm.ComodoFirewall.Tag = 204
	
	strValue = WYZL.GetIniStr("Settings","ComodoFirewall","0",strCfgFile);
	if(strValue == "1") then
		myForm.ComodoFirewall.Checked = true;
	else
		myForm.ComodoFirewall.Checked = false;
	end
	
	myForm.DrWatson = VCL.CheckBox(myForm.myPanel,"DrWatson")
	myForm.DrWatson._ = {caption = "Dr Watson",onclick = "onCheckBoxClick", top=125, left=290, width=110, }
	myForm.DrWatson.Tag = 205
	
	strValue = WYZL.GetIniStr("Settings","DrWatson","0",strCfgFile);
	if(strValue == "1") then
		myForm.DrWatson.Checked = true;
	else
		myForm.DrWatson.Checked = false;
	end
	
	myForm.DrWeb = VCL.CheckBox(myForm.myPanel,"DrWeb")
	myForm.DrWeb._ = {caption = "Dr.Web",onclick = "onCheckBoxClick", top=145, left=290, width=110, }
	myForm.DrWeb.Tag = 206
	
	strValue = WYZL.GetIniStr("Settings","DrWeb","0",strCfgFile);
	if(strValue == "1") then
		myForm.DrWeb.Checked = true;
	else
		myForm.DrWeb.Checked = false;
	end
	
	myForm.EmEditor = VCL.CheckBox(myForm.myPanel,"EmEditor")
	myForm.EmEditor._ = {caption = "EmEditor",onclick = "onCheckBoxClick", top=165, left=290, width=110, }
	myForm.EmEditor.Tag = 207
	
	strValue = WYZL.GetIniStr("Settings","EmEditor","0",strCfgFile);
	if(strValue == "1") then
		myForm.EmEditor.Checked = true;
	else
		myForm.EmEditor.Checked = false;
	end
	
	myForm.FoxitReader = VCL.CheckBox(myForm.myPanel,"FoxitReader")
	myForm.FoxitReader._ = {caption = "Foxit Reader",onclick = "onCheckBoxClick", top=185, left=290, width=110, }
	myForm.FoxitReader.Tag = 208
	
	strValue = WYZL.GetIniStr("Settings","FoxitReader","0",strCfgFile);
	if(strValue == "1") then
		myForm.FoxitReader.Checked = true;
	else
		myForm.FoxitReader.Checked = false;
	end
	
	myForm.GoldWave = VCL.CheckBox(myForm.myPanel,"GoldWave")
	myForm.GoldWave._ = {caption = "GoldWave",onclick = "onCheckBoxClick", top=205, left=290, width=110, }
	myForm.GoldWave.Tag = 209
	
	strValue = WYZL.GetIniStr("Settings","GoldWave","0",strCfgFile);
	if(strValue == "1") then
		myForm.GoldWave.Checked = true;
	else
		myForm.GoldWave.Checked = false;
	end
	
	myForm.RazorLame = VCL.CheckBox(myForm.myPanel,"RazorLame")
	myForm.RazorLame._ = {caption = "RazorLame",onclick = "onCheckBoxClick", top=225, left=290, width=110, }
	myForm.RazorLame.Tag = 210
	
	strValue = WYZL.GetIniStr("Settings","RazorLame","0",strCfgFile);
	if(strValue == "1") then
		myForm.RazorLame.Checked = true;
	else
		myForm.RazorLame.Checked = false;
	end
	
	myForm.SystemSafetyMonitor = VCL.CheckBox(myForm.myPanel,"SystemSafetyMonitor")
	myForm.SystemSafetyMonitor._ = {caption = "System Safety Monitor",onclick = "onCheckBoxClick", top=245, left=290, width=140, }
	myForm.SystemSafetyMonitor.Tag = 211
	
	strValue = WYZL.GetIniStr("Settings","SystemSafetyMonitor","0",strCfgFile);
	if(strValue == "1") then
		myForm.SystemSafetyMonitor.Checked = true;
	else
		myForm.SystemSafetyMonitor.Checked = false;
	end

	strCaption ="清除系统多余文件"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "睲埃╰参ゅン"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "SystemTempClear"
  end

	myForm.SystemTempClear = VCL.CheckBox(myForm.myPanel,"SystemTempClear")
	myForm.SystemTempClear._ = {caption = strCaption,onclick = "onCheckBoxClick", top=265, left=290, width=140, }
	myForm.SystemTempClear.Tag = 212
	
	strValue = WYZL.GetIniStr("Settings","SystemTempClear","0",strCfgFile);
	if(strValue == "1") then
		myForm.SystemTempClear.Checked = true;
	else
		myForm.SystemTempClear.Checked = false;
	end
	
	strCaption ="LookNStop"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "LookNStop"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "LookNStop"
  end

	myForm.LookNStop = VCL.CheckBox(myForm.myPanel,"LookNStop")
	myForm.LookNStop._ = {caption = strCaption,onclick = "onCheckBoxClick", top=285, left=290, width=140, }
	myForm.LookNStop.Tag = 213
	
	strValue = WYZL.GetIniStr("Settings","LookNStop","1",strCfgFile);
	if(strValue == "1") then
		myForm.LookNStop.Checked = true;
	else
		myForm.LookNStop.Checked = false;
	end
	
	-- 第四列
	myForm.Netmeeting = VCL.CheckBox(myForm.myPanel,"Netmeeting")
	myForm.Netmeeting._ = {caption = "Netmeeting",onclick = "onCheckBoxClick", top=25, left=430, }
	myForm.Netmeeting.Tag = 300
	
	strValue = WYZL.GetIniStr("Settings","Netmeeting","0",strCfgFile);
	if(strValue == "1") then
		myForm.Netmeeting.Checked = true;
	else
		myForm.Netmeeting.Checked = false;
	end
	
	myForm.GoogleToolbar = VCL.CheckBox(myForm.myPanel,"GoogleToolbar")
	myForm.GoogleToolbar._ = {caption = "GoogleToolbar",onclick = "onCheckBoxClick", top=45, left=430, }
	myForm.GoogleToolbar.Tag = 301
	
	strValue = WYZL.GetIniStr("Settings","GoogleToolbar","0",strCfgFile);
	if(strValue == "1") then
		myForm.GoogleToolbar.Checked = true;
	else
		myForm.GoogleToolbar.Checked = false;
	end
	
	myForm.GPass = VCL.CheckBox(myForm.myPanel,"GPass")
	myForm.GPass._ = {caption = "GPass",onclick = "onCheckBoxClick", top=65, left=430, }
	myForm.GPass.Tag = 302
	
	strValue = WYZL.GetIniStr("Settings","GPass","0",strCfgFile);
	if(strValue == "1") then
		myForm.GPass.Checked = true;
	else
		myForm.GPass.Checked = false;
	end
	
	myForm.GraphEdit = VCL.CheckBox(myForm.myPanel,"GraphEdit")
	myForm.GraphEdit._ = {caption = "GraphEdit",onclick = "onCheckBoxClick", top=85, left=430, }
	myForm.GraphEdit.Tag = 303
	
	strValue = WYZL.GetIniStr("Settings","GraphEdit","0",strCfgFile);
	if(strValue == "1") then
		myForm.GraphEdit.Checked = true;
	else
		myForm.GraphEdit.Checked = false;
	end
	
	myForm.HIPS = VCL.CheckBox(myForm.myPanel,"HIPS")
	myForm.HIPS._ = {caption = "HIPS",onclick = "onCheckBoxClick", top=105, left=430, }
	myForm.HIPS.Tag = 304
	
	strValue = WYZL.GetIniStr("Settings","HIPS","0",strCfgFile);
	if(strValue == "1") then
		myForm.HIPS.Checked = true;
	else
		myForm.HIPS.Checked = false;
	end
	
	myForm.ImgBurn = VCL.CheckBox(myForm.myPanel,"ImgBurn")
	myForm.ImgBurn._ = {caption = "ImgBurn",onclick = "onCheckBoxClick", top=125, left=430, }
	myForm.ImgBurn.Tag = 305
	
	strValue = WYZL.GetIniStr("Settings","ImgBurn","0",strCfgFile);
	if(strValue == "1") then
		myForm.ImgBurn.Checked = true;
	else
		myForm.ImgBurn.Checked = false;
	end
	
	myForm.IrfanView = VCL.CheckBox(myForm.myPanel,"IrfanView")
	myForm.IrfanView._ = {caption = "IrfanView",onclick = "onCheckBoxClick", top=145, left=430, }
	myForm.IrfanView.Tag = 306
	
	strValue = WYZL.GetIniStr("Settings","IrfanView","0",strCfgFile);
	if(strValue == "1") then
		myForm.IrfanView.Checked = true;
	else
		myForm.IrfanView.Checked = false;
	end
	
	myForm.JavaCache = VCL.CheckBox(myForm.myPanel,"JavaCache")
	myForm.JavaCache._ = {caption = "JavaCache",onclick = "onCheckBoxClick", top=165, left=430, }
	myForm.JavaCache.Tag = 307
	
	strValue = WYZL.GetIniStr("Settings","JavaCache","0",strCfgFile);
	if(strValue == "1") then
		myForm.JavaCache.Checked = true;
	else
		myForm.JavaCache.Checked = false;
	end
	
	myForm.Locate32 = VCL.CheckBox(myForm.myPanel,"Locate32")
	myForm.Locate32._ = {caption = "Locate32",onclick = "onCheckBoxClick", top=185, left=430, }
	myForm.Locate32.Tag = 308
	
	strValue = WYZL.GetIniStr("Settings","Locate32","0",strCfgFile);
	if(strValue == "1") then
		myForm.Locate32.Checked = true;
	else
		myForm.Locate32.Checked = false;
	end
	
	myForm.WinAVI = VCL.CheckBox(myForm.myPanel,"WinAVI")
	myForm.WinAVI._ = {caption = "WinAVI",onclick = "onCheckBoxClick", top=205, left=430, }
	myForm.WinAVI.Tag = 309
	
	strValue = WYZL.GetIniStr("Settings","WinAVI","0",strCfgFile);
	if(strValue == "1") then
		myForm.WinAVI.Checked = true;
	else
		myForm.WinAVI.Checked = false;
	end
	
	myForm.reader_564 = VCL.CheckBox(myForm.myPanel,"reader_564")
	myForm.reader_564._ = {caption = "reader_564",onclick = "onCheckBoxClick", top=225, left=430, }
	myForm.reader_564.Tag = 310
	
	strValue = WYZL.GetIniStr("Settings","reader_564","0",strCfgFile);
	if(strValue == "1") then
		myForm.reader_564.Checked = true;
	else
		myForm.reader_564.Checked = false;
	end

	strCaption ="绘声绘影"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "酶羘酶紇"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "UleadVideoStudio"
  end

	myForm.UleadVideoStudio = VCL.CheckBox(myForm.myPanel,"UleadVideoStudio")
	myForm.UleadVideoStudio._ = {caption = strCaption,onclick = "onCheckBoxClick", top=245, left=430, }
	myForm.UleadVideoStudio.Tag = 311
	
	strValue = WYZL.GetIniStr("Settings","UleadVideoStudio","0",strCfgFile);
	if(strValue == "1") then
		myForm.UleadVideoStudio.Checked = true;
	else
		myForm.UleadVideoStudio.Checked = false;
	end

	strCaption ="虚拟光驱"
	if(WYZL.GetLanguage() == 2) then
  	strCaption = "店览臱"
  elseif(WYZL.GetLanguage() == 3) then
  	strCaption = "VirtualDriveManager"
  end

	myForm.VirtualDriveManager = VCL.CheckBox(myForm.myPanel,"VirtualDriveManager")
	myForm.VirtualDriveManager._ = {caption = strCaption,onclick = "onCheckBoxClick", top=265, left=430, }
	myForm.VirtualDriveManager.Tag = 312
	
	strValue = WYZL.GetIniStr("Settings","VirtualDriveManager","0",strCfgFile);
	if(strValue == "1") then
		myForm.VirtualDriveManager.Checked = true;
	else
		myForm.VirtualDriveManager.Checked = false;
	end
	
function onCheckBoxClick(Sender)
  SetItemCheck(Sender.Tag,Sender.Checked,strCfgFile);
end
	
function onCheckBoxClick2(Sender)
  SetItemCheck2(myForm,Sender.Tag,Sender.Checked,strCfgFile);
end

	myForm:Icon('DefPlugins/img/Page.ico')

	myForm:ShowModal()
	myForm:Free()
	myForm = nil

end;

function LuaCleaner()
	
	 
	 --WYZL.EnableDebugPrivilege();
	 --WYZL.TerminateProcessByName("explorer.exe",0);
	 
	 --WYZL.Sleep(2000);
	 
	 --szPath = WYZL.GetWindowsDirectory();
	 --sExplorerPath = szPath .. "\\explorer.exe";	 		
	 --WYZL.ShellOpen(sExplorerPath,1);

	strTitle ="擦除其他软件使用痕迹 (请双击该项设置擦除项)"
	if(WYZL.GetLanguage() == 2) then
  	strTitle="揽埃ㄤ硁ンㄏノ勃格 (叫蛮阑赣兜砞竚揽埃兜)"
  elseif(WYZL.GetLanguage() == 3) then
  	strTitle="Other Software (DoubleClick it to set erasing items"
  end
  
  require "vcl"
  --VCL.ShowMessage(sExplorerPath);
	
	WYZL.PlugReset();
	
	sKey = "";
	sKeyPara = ""
	--WYZL.GetSidString("");
	--VCL.ShowMessage(sKeyPara);
	
	strAppDir = WYZL.GetAppDir();
	strPlugDir = strAppDir .. "DefPlugins\\";
	strCfgFile = strPlugDir .. "OtherTools.cfg";
	
	strValue = WYZL.GetIniStr("Settings","WinImage","0",strCfgFile);

	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\WinImage") -- for WinImage
	if( bRet == true and strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\WinImage";
		sKeyPara = "\\,PathExtract,File*\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
	end
	
	strValue = WYZL.GetIniStr("Settings","MemoryDumps","0",strCfgFile); -- Windows memory dumps
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%WinDir%\\memory.dmp","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%WinDir%\\MiniDump\\*.dmp","FilesFolders","");--SINGLEFILE
	end
	
	strValue = WYZL.GetIniStr("Settings","Emule","0",strCfgFile); -- 电驴下载软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\eMule\\config\\*.dat","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\eMule\\config\\AC_SearchStrings.dat","","");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\eMule\\downloads.*","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\eMule\\eMule.tmpl","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\eMule\\logs\\*.*","SubFolder",",");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\eMule\\Temp\\*.*","FilesFolders",",");
	end
	
	strValue = WYZL.GetIniStr("Settings","FlashFXP","0",strCfgFile); -- FlashFXP
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\FlashFXP\\quick.dat","",",");--SINGLEFILE
	end
	
	bRet = os.RegKeyExists(HKEY_CURRENT_USER,"Software\\DivXNetworks") -- DivXPlayer
	strValue = WYZL.GetIniStr("Settings","DivXPlayer","0",strCfgFile); 
	if( bRet == true and strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\DivXNetworks";
		sKeyPara = "\\DivX4Windows,Log File Name\\r\\n";
		sKeyPara = sKeyPara .. "\\DivX,MoviesDirectory\\r\\n";
		sKeyPara = sKeyPara .. "\\DivX Player,file*\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
	end
	
	strValue = WYZL.GetIniStr("Settings","CuteFTP","0",strCfgFile); -- CuteFTP
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\GlobalSCAPE\\CuteFTP\\sm.bak","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\GlobalSCAPE\\CuteFTP\\sm.dat","","");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\GlobalSCAPE\\CuteFTP\\Log\\*.*","SubFolder",",");
	end
	
	strValue = WYZL.GetIniStr("Settings","NotePadPlus","0",strCfgFile);  -- NotePad+
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\RogSoft\\NotePad+";
		sKeyPara = "\\Recent Files,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
		
		sKey = "HKEY_USERS\\.DEFAULT\\Software\\RogSoft\\NotePad+";
		sKeyPara = "\\Recent Files,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
	end
	
	strValue = WYZL.GetIniStr("Settings","Passolo","0",strCfgFile);  -- Passolo
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\PASS Engineering\\Passolo 2007";
		sKeyPara = "\\AddInDataInt\\11,ExpImpPath\\r\\n";
		sKeyPara = sKeyPara .. "\\Settings,ExpImpPath\\r\\n";
		sKeyPara = sKeyPara .. "\\ReplaceMRU,all\\r\\n";
		sKeyPara = sKeyPara .. "\\FindMRU,all\\r\\n";
		sKeyPara = sKeyPara .. "\\ExportMRU,all\\r\\n";
		sKeyPara = sKeyPara .. "\\AddSourceDir,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Recent Languages,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Recent Files,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Recent File List Unicode,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
	end
	
	strValue = WYZL.GetIniStr("Settings","TTPlayer","0",strCfgFile); -- 千千静听
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\TTPlayer\\PlayList\\*.ttbl","",",");--SINGLEFILE
	end
	
	strValue = WYZL.GetIniStr("Settings","Totalcmd","0",strCfgFile); -- Totalcmd
	if( strValue == "1") then
	--VCL.ShowMessage("Totalcmd");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Totalcmd\\Temp\\HISTORY.INI","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Totalcmd\\Temp\\TCLOG.TXT","","");--SINGLEFILE
		WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Totalcmd\\Temp\\USER.INI","","Left\\path\\");
		WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\Totalcmd\\Temp\\USER.INI","","Right\\path\\");
	end
	
	strValue = WYZL.GetIniStr("Settings","PowerDVD","0",strCfgFile); -- PowerDVD
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\CyberLink\\PowerDVD\\*.pls","",",");--SINGLEFILE
	end
	
	strValue = WYZL.GetIniStr("Settings","ThreatFire","0",strCfgFile); -- ThreatFire
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\PC Tools\\ThreatFire\\*.db3","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\PC Tools\\ThreatFire\\ExtraData\\*.*","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\PC Tools\\ThreatFire\\ip.dat","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\PC Tools\\ThreatFire\\TFQArea\\*.*","FilesFolders","");
	end
	
	strValue = WYZL.GetIniStr("Settings","Netmeeting","0",strCfgFile); -- Netmeeting
	if( strValue == "1") then
	
  	sKey = "HKEY_CURRENT_USER\\Software\\Microsoft\\Conferencing\\UI";
	
		sKeyPara = "\\CallMRU,\\Directory,";
		WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);  
	
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\NetMeeting\\CallLog.dat","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\NetMeeting\\Received Files\\*.*","SubFolder","");
	end
	
	strValue = WYZL.GetIniStr("Settings","TMPGEncPlus","0",strCfgFile); -- TMPGEncPlus
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\TMPGEnc Plus\\CurrentCfg.tpr","",",");--SINGLEFILE
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\TMPGEnc Plus\\TMPGEnc.ini","",",");--SINGLEFILE
	end
	
	strValue = WYZL.GetIniStr("Settings","MagicISOMaker","0",strCfgFile); -- MagicISOMaker
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKey","HKEY_LOCAL_MACHINE\\SOFTWARE\\MagicISO\\Reopen","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","MacromediaMX","0",strCfgFile); -- MacromediaMX
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Macromedia\\Flash 6\\Recent File List","","all");
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Macromedia\\Firework 6\\Recent File List","","all");
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Macromedia\\Dreamweaver 6\\Recent File List","","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","MainConceptMPEG","0",strCfgFile); -- MainConcept MPEG Encoder
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\MPEG_Encoder\\mcmpgenc.mes","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","VisualCPlus","0",strCfgFile); -- Microsoft Visual C++ 6.0
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKey","HKEY_CURRENT_USER\\Software\\Microsoft\\DevStudio\\6.0\\Recent File List","","");
		WYZL.AddActionItem("DelRegKey","HKEY_CURRENT_USER\\Software\\Microsoft\\DevStudio\\6.0\\Projects","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","X3GPVideo","0",strCfgFile); -- Xilisoft 3GP Video Converter 视频转换软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValue","HKEY_CURRENT_USER\\Software\\Xilisoft\\3GP Video Converter 3\\Settings","","last_openpath,OuputDir");
	end
	
	strValue = WYZL.GetIniStr("Settings","AgnitumOutpost","0",strCfgFile); -- Agnitum Outpost pro
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Agnitum\\Outpost Firewall\\op_data.mdb","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","AppCompatCache","1",strCfgFile); -- 注册表中应用程序缓存
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValue","HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session Manager\\AppCompatCache","","AppCompatCache");
		WYZL.AddActionItem("DelRegValue","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet001\\Control\\Session Manager\\AppCompatCache","","AppCompatCache");
		WYZL.AddActionItem("DelRegValue","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet002\\Control\\Session Manager\\AppCompatCache","","AppCompatCache");
	end
	
	strValue = WYZL.GetIniStr("Settings","Audition","0",strCfgFile); -- Audition 2.0
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKeyList","HKEY_CURRENT_USER\\Software\\Adobe\\Audition\\2.0\\State\\Directories","","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","AutoPlay","0",strCfgFile); -- AutoPlay Menu Builder 自动播放程序制作软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\AutoPlay Menu Builder\\MRU Items","","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","Avlgomgr","0",strCfgFile); -- Avlgomgr
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Sysoft\\Avlgomgr\\History","","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","BSplayer","0",strCfgFile); -- BSplayer
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%AppData%\\BSplayer PRO\\bsplist.bsl","","");
		WYZL.AddActionItem("DelFile","%LocalAppData%\\BSplayer PRO\\bsplist.bsl","","");
		WYZL.AddActionItem("DelFile","%%PROGRAMFILES%\\Pure Codec\\bsplist.bsl","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","ComodoFirewall","0",strCfgFile); -- COMODO Firewall
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\comodo\\Firewall Pro\\cfplogdb.sdb","","");
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Comodo\\Personal Firewall\\Logs\\*.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","DrWatson","0",strCfgFile); -- Dr Watson
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Microsoft\\Dr Watson\\*.dmp","","");
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Microsoft\\Dr Watson\\*.log","","");
		WYZL.AddActionItem("DelFile","%AppData%\\Microsoft\\Dr Watson\\*.log","","");
		WYZL.AddActionItem("DelFile","%LocalAppData%\\Microsoft\\Dr Watson\\*.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","DrWeb","0",strCfgFile); -- dr.web 杀毒软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%USERPROFILE%\\DoctorWeb\\*.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","EmEditor","0",strCfgFile);  -- EmEditor文本编辑软件
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\EmSoft\\EmEditor v3";
		sKeyPara = "\\Recent File List,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Recent Folder List,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Recent Font List,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Recent Insert List,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
		
		sKey = "HKEY_CURRENT_USER\\Software\\EmSoft\\EmEditorPlugIns";
		sKeyPara = "\\资源管理器,LastPath,Path*\\r\\n";
		sKeyPara = sKeyPara .. "\\Explorer,LastPath,Path*\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
	end
	
	strValue = WYZL.GetIniStr("Settings","FoxitReader","0",strCfgFile);  -- Foxit PDF Reader
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\Foxit Software\\Foxit Reader";
		sKeyPara = "\\ChildFrame,InitialOpenDir\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
		
		sKeyPara = "\\Recent File List,\\History,";
		WYZL.AddRegItem("DelRegKeyList",sKey,sKeyPara);
	end
	
	strValue = WYZL.GetIniStr("Settings","GoldWave","0",strCfgFile);  -- GoldWave
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\GoldWave\\GoldWave";
		sKeyPara = "\\Recent Files,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
		
		WYZL.AddActionItem("DelFile","%WinDir%\\goldwave.ini","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","GoogleToolbar","0",strCfgFile);  -- Google Toolbar
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKey","HKEY_CURRENT_USER\\Software\\Google\\NavClient\\1.1\\History","","");
	  
	  strValue = WYZL.GetSidString("");
	  sKey = "HKEY_USERS\\";
	  sKey = sKey .. strValue;
	  sKey = sKey .. "\\Software\\Microsoft\\Internet Explorer\\InternetRegistry\\REGISTRY\\USER\\";
	  sKey = sKey .. strValue;
	  sKey = sKey .. "\\Software\\Google\\NavClient\\1.1\\History";
	  
		WYZL.AddActionItem("DelRegKey",sKey,"","");
		
	  sKey = "HKEY_USERS\\";
	  sKey = sKey .. strValue;
	  sKey = sKey .. "\\Software\\Google\\NavClient\\1.1\\History";
		WYZL.AddActionItem("DelRegKey",sKey,"","");
		
		WYZL.AddActionItem("DelFile","%AppData%\\Google\\Local Search History\\*.*","","");
		WYZL.AddActionItem("DelFile","%LocalAppData%\\Google\\Local Search History\\*.*","","");
	end
	  
	--VCL.ShowMessage(WYZL.GetCheckPath("%USERPROFILE%\\Application Data\\*.*"));
	
	strValue = WYZL.GetIniStr("Settings","GPass","0",strCfgFile);  -- GPass
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%USERPROFILE%\\Application Data\\*.*","MacthSubPathEx",",GPass*,*.*");
	end
	
	strValue = WYZL.GetIniStr("Settings","GraphEdit","0",strCfgFile);  -- GraphEdit 影音编码检查软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%WinDir%\\graphedit.INI","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","HIPS","0",strCfgFile);  -- DefenseWall HIPS
	if( strValue == "1") then
		sKey = "HKEY_LOCAL_MACHINE\\SOFTWARE\\SoftSphere Technologies\\DefenseWall";
		sKeyPara = "\\ExcludeList,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Parameters,all\\r\\n";
		sKeyPara = sKeyPara .. "\\ModifiedList,all\\r\\n";
		sKeyPara = sKeyPara .. "\\RollbackList,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);

		WYZL.AddActionItem("DelFile","%USERPROFILE%\\Application Data\\DefenseWall HIPS\\defensewall_log.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","ImgBurn","0",strCfgFile);  -- ImgBurn 光盘刻录软件
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\ImgBurn";
		sKeyPara = "\\,IB?_MRUFile,ISOBUILD_MRU*,ISOWRITE_MRU*,ISOVERIFY_MRU*,ISOREAD_MRU*,DISCOVERY_MRU*,AWS_MRUFile\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
		
		--VCL.ShowMessage(sKeyPara);

		WYZL.AddActionItem("DelFile","%AppData%\\ImgBurn\\Log Files\\*.log","","");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\ImgBurn\\ImgBurn.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","IrfanView","0",strCfgFile);  -- Erase IrfanView 3.x's recent MRUDs
	if( strValue == "1") then
		WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\IrfanView\\i_view32.ini","","Dir");
		WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\IrfanView\\i_view32.ini","","MRUD");
		WYZL.AddActionItem("UpdateFile","%PROGRAMFILES%\\IrfanView\\i_view32.ini","","OpenDir");
	end
	
	strValue = WYZL.GetIniStr("Settings","JavaCache","0",strCfgFile);  -- Java Cache
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Sun\\Java\\Deployment\\tmp\\*.*","SubFolder","");
		WYZL.AddActionItem("DelFile","%AppData%\\Sun\\Java\\Deployment\\cache\\*.*","","");
		WYZL.AddActionItem("DelFile","%AppData%\\Sun\\Java\\Deployment\\cache\\javapi\\v1.0\\*.*","SubFolder","");
	end
	
	strValue = WYZL.GetIniStr("Settings","Locate32","0",strCfgFile);  -- Locate32极速搜索软件
	if( strValue == "1") then
		sKey = "HKEY_CURRENT_USER\\Software\\Update\\Locate32";
		sKeyPara = "\\Recent Strings,all\\r\\n";
		sKeyPara = sKeyPara .. "\\Dialogs,all\\r\\n";
		WYZL.AddRegItem("DelRegValueListEx",sKey,sKeyPara);
		
		WYZL.AddActionItem("DelFile","%AppData%\\Locate32\\files.dbs","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","WinAVI","0",strCfgFile);  -- WinAVI 视频转换软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%USERPROFILE%\\Local Settings\\Application Data\\WinAVI\\debug.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","MultimediaBuilder","0",strCfgFile);  -- Multimedia Builder 自动播放程序制作软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Mediachance\\Multimedia Builder\\Recent File List","","all");
		WYZL.AddActionItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Mediachance\\Multimedia Builder\\Export","","all");
		
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Multimedia Builder\\temp.drw","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","PEExplorer","0",strCfgFile);  -- PE Explorer汉化版 exe资源修改器
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValue","HKEY_CURRENT_USER\\Software\\HeavenTools\\PE Explorer 1.0\\参数","","Last Root,FILE*");
		
		WYZL.AddActionItem("DelFile","%AppData%\\pe explorer\\pexlog.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","RazorLame","0",strCfgFile);  -- RazorLame
	if( strValue == "1") then
		WYZL.AddRegItem("DelRegValueListEx","HKEY_CURRENT_USER\\Software\\MuldeR","LameXP\\v*,Inpath,Outpath\\r\\n");
		
		WYZL.AddActionItem("DelFile","%MyDocuments%\\My Music\\Playlist.m3u","","");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\RazorLame\\razorlame.ini","","");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\RazorLame\\RazorLame.log","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","reader_564","0",strCfgFile);  -- reader_564
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\reader_564\\config\\*.cfg","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","RegSnap","0",strCfgFile);  -- RegSnap 注册表比较软件
	if( strValue == "1") then
		WYZL.AddRegItem("DelRegValueList","HKEY_CURRENT_USER\\Software\\Vitas\\regsnap\\Recent File List","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","Spybot","0",strCfgFile);  -- Spybot Search and Destroy 广告间谍软件清除软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Spybot - Search & Destroy\\Logs\\*.*","FilesFolders","");
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\Spybot - Search & Destroy\\statistics.ini","","");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Spybot - Search & Destroy\\advdebug.txt","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","SystemSafetyMonitor","0",strCfgFile);  -- System Safety Monitor hips软件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\System Safety Monitor\\log\\*.*","","");
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\System Safety Monitor\\RulesIcons\\*.*","","");
	end
	
	strValue = WYZL.GetIniStr("Settings","UleadVideoStudio","0",strCfgFile);  -- Ulead VideoStudio绘声绘影
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKeyList","HKEY_CURRENT_USER\\Software\\Ulead Systems\\Ulead VideoStudio","","*\\VIO\\Recent Dir,");
	end
	
	strValue = WYZL.GetIniStr("Settings","UsbClear","1",strCfgFile);  -- USB设备使用痕迹清理
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKeyListEx","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet001\\Control\\DeviceClasses","","DelSubKey1,*\\##?#USB*#*");
		WYZL.AddActionItem("DelRegKeyListEx","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet002\\Control\\DeviceClasses","","DelSubKey1,*\\##?#USB*#*");
		WYZL.AddActionItem("DelRegKeyListEx","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet003\\Control\\DeviceClasses","","DelSubKey1,*\\##?#USB*#*");
		WYZL.AddActionItem("DelRegKeyListEx","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet004\\Control\\DeviceClasses","","DelSubKey1,*\\##?#USB*#*");
		WYZL.AddActionItem("DelRegKeyListEx","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet005\\Control\\DeviceClasses","","DelSubKey1,*\\##?#USB*#*");
		
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Enum\\USB","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet001\\Enum\\USB","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet002\\Enum\\USB","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet003\\Enum\\USB","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet004\\Enum\\USB","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet005\\Enum\\USB","","all");
		
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet001\\Enum\\USBSTOR","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet002\\Enum\\USBSTOR","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet003\\Enum\\USBSTOR","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet004\\Enum\\USBSTOR","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_LOCAL_MACHINE\\SYSTEM\\ControlSet005\\Enum\\USBSTOR","","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","uTorrent","0",strCfgFile);  -- uTorrent 1.x
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%ALLUSERSPROFILE%\\Application Data\\uTorrent\\*.*","MacthSubFiles",",*.old|dht.dat|resume.dat|rss.dat,");
	end
	
	strValue = WYZL.GetIniStr("Settings","SystemTempClear","1",strCfgFile);  -- 系统多余文件
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%systemdrive%\\*.*","MacthFiles","\\,*.bak|*.tmp|*.log|*._mp|*.gid|*.chk|*.old,");
		WYZL.AddActionItem("DelFile","%windir%\\*.*","MacthSubFiles","\\,*.bak|*.tmp|*.log|*._mp|*.gid|*.chk|*.old,");
	end
	
	strValue = WYZL.GetIniStr("Settings","LookNStop","0",strCfgFile);  -- uTorrent 1.x
	if( strValue == "1") then
		WYZL.AddActionItem("DelFile","%PROGRAMFILES%\\Soft4Ever\\looknstop\\logs\\*.*","FilesFolders","");
	end
	
	strValue = WYZL.GetIniStr("Settings","VirtualDriveManager","0",strCfgFile);  -- Virtual Drive Manager虚拟光驱
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKeyList","HKEY_CURRENT_USER\\Software\\Towodo Software\\Virtual Drive Manager\\Settings\\Mount Image File","","all");
		WYZL.AddActionItem("DelRegKeyList","HKEY_CURRENT_USER\\Software\\Towodo Software\\虚拟驱动器\\Settings\\Mount Image File","","all");
	end
	
	strValue = WYZL.GetIniStr("Settings","Xplorer2","0",strCfgFile);  -- Xplorer2 Pro资源管理器
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegKeyList","HKEY_CURRENT_USER\\Software\\ZabaraKatranemia Plc\\xplorer2_UC","","\\History,");
		WYZL.AddActionItem("DelRegValueListEx","HKEY_CURRENT_USER\\Software\\ZabaraKatranemia Plc\\xplorer2_UC","","\\,pidlLeftFolder,pidlRightFolder\\r\\n\\MainFrame Settings,pidlBookmark\\r\\n\\MainFrame Settings\\Folder History,all\\r\\n\\MainFrame Settings\\Recent Document List,all\\r\\n\\ScrapFrame Settings\\Recent Document List,all");
		WYZL.AddActionItem("DelRegValueListEx","HKEY_CURRENT_USER\\Software\\ZabaraKatranemia Plc\\Editor2UC","","\\,szInitialFolder\\r\\n\\Recent Document List,all");
	end
	
	strValue = WYZL.GetIniStr("Settings","ZoomPlayer","0",strCfgFile);  --Zoom Player
	if( strValue == "1") then
		WYZL.AddActionItem("DelRegValue","HKEY_CURRENT_USER\\Software\\VirtuaMedia\\ZoomPlayer","","LastDir");
		WYZL.AddActionItem("DelFile","%Program Files%\\Zoom Player\\default.zpl","","");
	end

	nReturn = 0;
	if(WYZL.IsLoaded() == 1) then
		nReturn = WYZL.DoPlugErase(strTitle,-1,0);
		
		--VCL.ShowMessage("結束");
	end

end;
